<template class="w-4/4">
    <div class="p-4">
        <div class="m-auto mt-4 rounded overflow-hidden shadow-lg w-3/4 px-4 py-2">
            <h2 class="text-gray-700 text-lg font-bold">Quiz</h2>
            <div class="px-6 py-4">
                <div class="font-bold text-xl mb-2">{{questions[numQuestion]}}</div>
            </div>
            <div class="px-6 py-2 mb-4">
                <span v-for="(answer,index) in answers[numQuestion]" v-bind:key="index"
                      @click="answerQuestion(answer.correct)"
                      class="cursor-pointer inline-block bg-pink-800 hover:bg-pink-700 rounded-full px-3 py-1 text-sm font-semibold text-white mr-2">{{answer.value}}</span>
            </div>
            <div class="flex justify-between mb-2">
                <a @click="previous" class="text-gray-700 font-bold cursor-pointer" v-if="numQuestion>0">Previous</a>
                <a @click="finish" class="text-green-800 font-bold cursor-pointer" v-if="numQuestion===questions.length-1 && correctAnswerStatus">Finish</a>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: "Quiz",
        data: () => {
            return {
                numQuestion: 0,
                correctAnswerStatus:false,
                questions: ['Cuánto es 2+2?', 'Cuánto es 2x2?', 'Qué es vue.js', 'Node.js es?', '.net core corre en linux?'],
                answers: [[{value: '8', correct: false}, {value: '4', correct: true}, {
                    value: '1',
                    correct: false
                }, {value: '100', correct: false}],
                    [{value: '8', correct: false}, {value: '4', correct: true}, {
                        value: '1',
                        correct: false
                    }, {value: '100', correct: false}],
                    [{value: 'Framework de javascript', correct: true},
                        {value: 'Framework de php', correct: false},
                        {value: 'Lenguaje de programación', correct: false}],
                    [{value: 'Es un entorno en tiempo de ejecución multiplataforma', correct: true},
                        {value: 'Framework de java', correct: false}, {
                        value: 'Framework de css',
                        correct: false
                    }, {value: 'Framework de javascript', correct: false}],
                    [{value: 'Falso', correct: false}, {value: 'Verdadero', correct: true}]]
            }
        },
        methods: {
            answerQuestion(correctAnswer){
                if(correctAnswer){
                    if(this.numQuestion === this.questions.length -1 )
                        this.correctAnswerStatus = true
                    else
                        this.numQuestion++;
                    this.$alertify.success(`Well done 🧠🧐`)
                }else{
                    this.$alertify.warning('You must answer the question correctly to continue 🚫')
                }
            },
            previous() {
                this.numQuestion--;
            },
            finish() {
                this.$alertify.confirm(
                    'Do you want to make the quiz again?',
                    () => {
                        this.$alertify.success('Let´s start once again 🤔')
                        this.correctAnswerStatus = false;
                        this.numQuestion = 0;
                    },
                    () => this.$alertify.success('Congrats you have completed the quiz 🙊')
                );
            }
        }
    }
</script>

<style scoped>

</style>